package kr.co.hanwha.hifive.adapter.contract;

import java.util.ArrayList;

import kr.co.hanwha.hifive.data.model.ProjectCampaignData;

public interface MainOKRListContract {
    interface View {
        void notifyDataAll();

        void notifyDataRangeChanged(int positionStart, int itemCount);
    }

    interface Model {
        void clearItems();

        void addItem(ProjectCampaignData data, int index);

        void addItems(ArrayList<ProjectCampaignData> list);
    }
}
